/***************************************************************************
 * alloystyleplugin.cpp ****************************************************
 *                                                                         *
 * Copyright (C) 2002, 2003 David Johnson <david@usermode.org>             *
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

// This is the plugin interface to the Alloy style

#include "alloystyle.h"
#include <qstyleplugin.h>

class AlloyStylePlugin : public QStylePlugin
{
public:
    AlloyStylePlugin();
    QStringList keys() const;
    QStyle *create(const QString &key);
};

AlloyStylePlugin::AlloyStylePlugin() : QStylePlugin() { ; }

QStringList AlloyStylePlugin::keys() const
{
    return QStringList() << "Alloy";
}

QStyle* AlloyStylePlugin::create(const QString& key)
{
    if (key.lower() == "alloy")
        return new Alloy(true);
    return 0;
}

Q_EXPORT_PLUGIN(AlloyStylePlugin)
